org.eclipse.oomph.base.impl

## Class BasePackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.oomph.base.impl.BasePackageImpl

- All Implemented Interfaces:
    Notifier, EModelElement, ENamedElement, EObject, EPackage, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, BasicExtendedMetaData.EPackageExtendedMetaData.Holder, BasePackage

      public class BasePackageImpl
      extends EPackageImpl
      implements BasePackage

  An implementation of the model Package.
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `EPackageImpl.EBasicWhiteList`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.oomph.base.BasePackage

      `BasePackage.Literals`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `EPackage.Descriptor, EPackage.Registry`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `name, NAME_EDEFAULT`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.oomph.base.BasePackage

      `ANNOTATION, ANNOTATION___GET_ANNOTATION__STRING, ANNOTATION__ANNOTATIONS, ANNOTATION__CONTENTS, ANNOTATION__DETAILS, ANNOTATION__MODEL_ELEMENT, ANNOTATION__REFERENCES, ANNOTATION__SOURCE, ANNOTATION_FEATURE_COUNT, ANNOTATION_OPERATION_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, EXCEPTION, MODEL_ELEMENT, MODEL_ELEMENT___GET_ANNOTATION__STRING, MODEL_ELEMENT__ANNOTATIONS, MODEL_ELEMENT_FEATURE_COUNT, MODEL_ELEMENT_OPERATION_COUNT, STRING_TO_STRING_MAP_ENTRY, STRING_TO_STRING_MAP_ENTRY__KEY, STRING_TO_STRING_MAP_ENTRY__VALUE, STRING_TO_STRING_MAP_ENTRY_FEATURE_COUNT, STRING_TO_STRING_MAP_ENTRY_OPERATION_COUNT, TEXT, URI`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createEcoreAnnotations()` Initializes the annotations for http://www.eclipse.org/emf/2002/Ecore.
    `protected void` | `createExtendedMetaDataAnnotations()` Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData.
    `protected void` | `createLabelProviderAnnotations()` Initializes the annotations for http://www.eclipse.org/oomph/base/LabelProvider.
    `void` | `createPackageContents()` Creates the meta-model objects for the package.
    `EReference` | `getAnnotation_Contents()`
    `EReference` | `getAnnotation_Details()`
    `EReference` | `getAnnotation_ModelElement()`
    `EReference` | `getAnnotation_References()`
    `EAttribute` | `getAnnotation_Source()`
    `EClass` | `getAnnotation()`
    `BaseFactory` | `getBaseFactory()`
    `EDataType` | `getException()`
    `EOperation` | `getModelElement__GetAnnotation__String()`
    `EReference` | `getModelElement_Annotations()`
    `EClass` | `getModelElement()`
    `EAttribute` | `getStringToStringMapEntry_Key()`
    `EAttribute` | `getStringToStringMapEntry_Value()`
    `EClass` | `getStringToStringMapEntry()`
    `EDataType` | `getText()`
    `EDataType` | `getURI()`
    `static BasePackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
    `void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `eContents, eCrossReferences, getName, getNameGen, setName`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### init

          public static BasePackage init()

      Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

      This method is used to initialize `BasePackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

      See Also:
        `BasePackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`
      Generated

    - #### getModelElement

          public EClass getModelElement()

      Specified by:
        `getModelElement` in interface `BasePackage`
      Returns:
        the meta object for class 'Model Element'.
      See Also:
        `ModelElement`
      Generated

    - #### getModelElement_Annotations

          public EReference getModelElement_Annotations()

      Specified by:
        `getModelElement_Annotations` in interface `BasePackage`
      Returns:
        the meta object for the containment reference list 'Annotations'.
      See Also:
        `ModelElement.getAnnotations()`, `BasePackage.getModelElement()`
      Generated

    - #### getModelElement__GetAnnotation__String

          public EOperation getModelElement__GetAnnotation__String()

      Specified by:
        `getModelElement__GetAnnotation__String` in interface `BasePackage`
      Returns:
        the meta object for the 'Get Annotation' operation.
      See Also:
        `ModelElement.getAnnotation(java.lang.String)`
      Generated

    - #### getAnnotation

          public EClass getAnnotation()

      Specified by:
        `getAnnotation` in interface `BasePackage`
      Returns:
        the meta object for class 'Annotation'.
      See Also:
        `Annotation`
      Generated

    - #### getAnnotation_ModelElement

          public EReference getAnnotation_ModelElement()

      Specified by:
        `getAnnotation_ModelElement` in interface `BasePackage`
      Returns:
        the meta object for the container reference 'Model Element'.
      See Also:
        `Annotation.getModelElement()`, `BasePackage.getAnnotation()`
      Generated

    - #### getAnnotation_Source

          public EAttribute getAnnotation_Source()

      Specified by:
        `getAnnotation_Source` in interface `BasePackage`
      Returns:
        the meta object for the attribute 'Source'.
      See Also:
        `Annotation.getSource()`, `BasePackage.getAnnotation()`
      Generated

    - #### getAnnotation_Details

          public EReference getAnnotation_Details()

      Specified by:
        `getAnnotation_Details` in interface `BasePackage`
      Returns:
        the meta object for the map 'Details'.
      See Also:
        `Annotation.getDetails()`, `BasePackage.getAnnotation()`
      Generated

    - #### getAnnotation_Contents

          public EReference getAnnotation_Contents()

      Specified by:
        `getAnnotation_Contents` in interface `BasePackage`
      Returns:
        the meta object for the containment reference list 'Contents'.
      See Also:
        `Annotation.getContents()`, `BasePackage.getAnnotation()`
      Generated

    - #### getAnnotation_References

          public EReference getAnnotation_References()

      Specified by:
        `getAnnotation_References` in interface `BasePackage`
      Returns:
        the meta object for the reference list 'References'.
      See Also:
        `Annotation.getReferences()`, `BasePackage.getAnnotation()`
      Generated

    - #### getStringToStringMapEntry

          public EClass getStringToStringMapEntry()

      Specified by:
        `getStringToStringMapEntry` in interface `BasePackage`
      Returns:
        the meta object for class 'String To String Map Entry'.
      See Also:
        `Map.Entry`
      Generated

    - #### getStringToStringMapEntry_Key

          public EAttribute getStringToStringMapEntry_Key()

      Specified by:
        `getStringToStringMapEntry_Key` in interface `BasePackage`
      Returns:
        the meta object for the attribute 'Key'.
      See Also:
        `Map.Entry`, `BasePackage.getStringToStringMapEntry()`
      Generated

    - #### getStringToStringMapEntry_Value

          public EAttribute getStringToStringMapEntry_Value()

      Specified by:
        `getStringToStringMapEntry_Value` in interface `BasePackage`
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `Map.Entry`, `BasePackage.getStringToStringMapEntry()`
      Generated

    - #### getURI

          public EDataType getURI()

      Specified by:
        `getURI` in interface `BasePackage`
      Returns:
        the meta object for data type 'URI'.
      See Also:
        `URI`
      Generated

    - #### getException

          public EDataType getException()

      Specified by:
        `getException` in interface `BasePackage`
      Returns:
        the meta object for data type 'Exception'.
      See Also:
        `Exception`
      Generated

    - #### getText

          public EDataType getText()

      Specified by:
        `getText` in interface `BasePackage`
      Returns:
        the meta object for data type 'Text'.
      See Also:
        `String`
      Generated

    - #### getBaseFactory

          public BaseFactory getBaseFactory()

      Specified by:
        `getBaseFactory` in interface `BasePackage`
      Returns:
        the factory that creates the instances of the model.
      Generated

    - #### createPackageContents

          public void createPackageContents()

      Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.
      Generated

    - #### initializePackageContents

          public void initializePackageContents()

      Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.
      Generated

    - #### createLabelProviderAnnotations

          protected void createLabelProviderAnnotations()

      Initializes the annotations for http://www.eclipse.org/oomph/base/LabelProvider.
      Generated

    - #### createExtendedMetaDataAnnotations

          protected void createExtendedMetaDataAnnotations()

      Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData.
      Generated

    - #### createEcoreAnnotations

          protected void createEcoreAnnotations()

      Initializes the annotations for http://www.eclipse.org/emf/2002/Ecore.
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html